Subject: [eap] Proposed resolution to Issue 75: Terminology wording

From: [email-masked] (Bernard Aboba)
Date: Sun, 16 Feb 2003 08:14:38 -0800 (PST)

I would like to propose that the changes recommended in Issue 75 be
accepted. Any objections?

==========================================================
Issue 75: Terminology wording
Submitter name: John Vollbrecht
Submitter email address: [email-masked]
Date first submitted: Feburary 3, 2003
Document: RFC2284bis-10
Comment type: Editorial
Priority: 1
Section: 1.2
Rationale/Explanation of issue:
Item 1: authenticator description
Rationale:

EAP is a peer to peer protocol, supporting methods that do mutual
authentication as well as methods that authenticate the user or server
alone.

Change:

"authenticator
The end of the link requiring the authentication. This
terminology is also used in [IEEE.802-1X.2001], and has
the same meaning in this document."

to:

"authenticator
The end of the EAP link initiating the EAP authentication
methods. [Note: This terminology is also used in
IEEE.802-1X.2001, and has the same meaning in this document]."

---------------------------
Item 2: peer description
Rationale:
same as above, plus I think it is unnecessary to give examples of the
media in the peer. If needed, perhaps a separate category could be created
to describe the "link". I personally don't think that is necessary.

suggested change:

change:

"peer The other end of the point-to-point link (PPP),
point-to-point LAN segment (IEEE 802 wired media) or 802.11
wireless link, which being authenticated by the
authenticator. In [IEEE.802-1X.2001], this end is known as
the Supplicant."
to:

"peer The end of the EAP Link that responds to the
authenticator. [Note: In [IEEE.802-1X.2001], this end is known
as the Supplicant."

---------------------------
Item 3: backend authentication server
Rationale: the description is too wordy and implies that the backend
server is required for EAP.

change:

"backend authentication server
A backend authentication server is an entity that provides
an authentication service to an authenticator. This service
verifies from the credentials provided by the peer, the
claim of identity made by the peer. This terminology is
also used in [IEEE.802-1X.2001]."

to:

"backend authentication server
A backend authentication server is an entity that provides
authentication service to an authenticator. When used, this
server typically executes EAP Methods for the authenticator.
[This terminology is also used in [IEEE.802-1X.2001]."